# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/NotificationsPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_NotificationsPage(object):
    def setupUi(self, NotificationsPage):
        NotificationsPage.setObjectName("NotificationsPage")
        NotificationsPage.resize(550, 615)
        NotificationsPage.setWindowTitle("")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(NotificationsPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=NotificationsPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line11 = QtWidgets.QFrame(parent=NotificationsPage)
        self.line11.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line11.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line11.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line11.setObjectName("line11")
        self.verticalLayout_3.addWidget(self.line11)
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label = QtWidgets.QLabel(parent=NotificationsPage)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 0, 0, 1, 1)
        self.timeoutSpinBox = QtWidgets.QSpinBox(parent=NotificationsPage)
        self.timeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.timeoutSpinBox.setMinimum(1)
        self.timeoutSpinBox.setMaximum(10)
        self.timeoutSpinBox.setObjectName("timeoutSpinBox")
        self.gridLayout_2.addWidget(self.timeoutSpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem, 0, 2, 1, 1)
        self.groupBox = QtWidgets.QGroupBox(parent=NotificationsPage)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.xSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.xSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.xSpinBox.setMinimum(-10000)
        self.xSpinBox.setMaximum(10000)
        self.xSpinBox.setObjectName("xSpinBox")
        self.gridLayout.addWidget(self.xSpinBox, 0, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 0, 2, 1, 1)
        self.ySpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.ySpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.ySpinBox.setMinimum(-10000)
        self.ySpinBox.setMaximum(10000)
        self.ySpinBox.setObjectName("ySpinBox")
        self.gridLayout.addWidget(self.ySpinBox, 0, 3, 1, 1)
        self.visualButton = QtWidgets.QPushButton(parent=self.groupBox)
        self.visualButton.setCheckable(True)
        self.visualButton.setObjectName("visualButton")
        self.gridLayout.addWidget(self.visualButton, 1, 0, 1, 4)
        self.gridLayout_2.addWidget(self.groupBox, 1, 0, 1, 2)
        self.verticalLayout_3.addLayout(self.gridLayout_2)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=NotificationsPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.warningFgButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.warningFgButton.setObjectName("warningFgButton")
        self.gridLayout_3.addWidget(self.warningFgButton, 0, 0, 1, 1)
        self.warningBgButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.warningBgButton.setObjectName("warningBgButton")
        self.gridLayout_3.addWidget(self.warningBgButton, 0, 1, 1, 1)
        self.warningResetButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.warningResetButton.setObjectName("warningResetButton")
        self.gridLayout_3.addWidget(self.warningResetButton, 0, 2, 1, 1)
        self.warningDefaultButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.warningDefaultButton.setObjectName("warningDefaultButton")
        self.gridLayout_3.addWidget(self.warningDefaultButton, 0, 3, 1, 1)
        self.warningFrame = QtWidgets.QFrame(parent=self.groupBox_2)
        self.warningFrame.setFrameShape(QtWidgets.QFrame.Shape.StyledPanel)
        self.warningFrame.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.warningFrame.setObjectName("warningFrame")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.warningFrame)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.warningIcon = QtWidgets.QLabel(parent=self.warningFrame)
        self.warningIcon.setMaximumSize(QtCore.QSize(48, 48))
        self.warningIcon.setText("")
        self.warningIcon.setObjectName("warningIcon")
        self.horizontalLayout.addWidget(self.warningIcon)
        self.warningLayout = QtWidgets.QVBoxLayout()
        self.warningLayout.setObjectName("warningLayout")
        self.warningHeading = QtWidgets.QLabel(parent=self.warningFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.warningHeading.sizePolicy().hasHeightForWidth())
        self.warningHeading.setSizePolicy(sizePolicy)
        self.warningHeading.setMinimumSize(QtCore.QSize(335, 0))
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.warningHeading.setFont(font)
        self.warningHeading.setObjectName("warningHeading")
        self.warningLayout.addWidget(self.warningHeading)
        self.warningMessage = QtWidgets.QLabel(parent=self.warningFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.warningMessage.sizePolicy().hasHeightForWidth())
        self.warningMessage.setSizePolicy(sizePolicy)
        self.warningMessage.setMinimumSize(QtCore.QSize(335, 0))
        self.warningMessage.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.warningMessage.setWordWrap(True)
        self.warningMessage.setObjectName("warningMessage")
        self.warningLayout.addWidget(self.warningMessage)
        self.horizontalLayout.addLayout(self.warningLayout)
        self.gridLayout_3.addWidget(self.warningFrame, 1, 0, 1, 4)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=NotificationsPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.criticalFgButton = QtWidgets.QPushButton(parent=self.groupBox_3)
        self.criticalFgButton.setObjectName("criticalFgButton")
        self.gridLayout_4.addWidget(self.criticalFgButton, 0, 0, 1, 1)
        self.criticalBgButton = QtWidgets.QPushButton(parent=self.groupBox_3)
        self.criticalBgButton.setObjectName("criticalBgButton")
        self.gridLayout_4.addWidget(self.criticalBgButton, 0, 1, 1, 1)
        self.criticalResetButton = QtWidgets.QPushButton(parent=self.groupBox_3)
        self.criticalResetButton.setObjectName("criticalResetButton")
        self.gridLayout_4.addWidget(self.criticalResetButton, 0, 2, 1, 1)
        self.criticalDefaultButton = QtWidgets.QPushButton(parent=self.groupBox_3)
        self.criticalDefaultButton.setObjectName("criticalDefaultButton")
        self.gridLayout_4.addWidget(self.criticalDefaultButton, 0, 3, 1, 1)
        self.criticalFrame = QtWidgets.QFrame(parent=self.groupBox_3)
        self.criticalFrame.setFrameShape(QtWidgets.QFrame.Shape.StyledPanel)
        self.criticalFrame.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.criticalFrame.setObjectName("criticalFrame")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.criticalFrame)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.criticalIcon = QtWidgets.QLabel(parent=self.criticalFrame)
        self.criticalIcon.setMaximumSize(QtCore.QSize(48, 48))
        self.criticalIcon.setText("")
        self.criticalIcon.setObjectName("criticalIcon")
        self.horizontalLayout_2.addWidget(self.criticalIcon)
        self.criticalLayout = QtWidgets.QVBoxLayout()
        self.criticalLayout.setObjectName("criticalLayout")
        self.criticalHeading = QtWidgets.QLabel(parent=self.criticalFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.criticalHeading.sizePolicy().hasHeightForWidth())
        self.criticalHeading.setSizePolicy(sizePolicy)
        self.criticalHeading.setMinimumSize(QtCore.QSize(335, 0))
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.criticalHeading.setFont(font)
        self.criticalHeading.setObjectName("criticalHeading")
        self.criticalLayout.addWidget(self.criticalHeading)
        self.criticalMessage = QtWidgets.QLabel(parent=self.criticalFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.criticalMessage.sizePolicy().hasHeightForWidth())
        self.criticalMessage.setSizePolicy(sizePolicy)
        self.criticalMessage.setMinimumSize(QtCore.QSize(335, 0))
        self.criticalMessage.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.criticalMessage.setWordWrap(True)
        self.criticalMessage.setObjectName("criticalMessage")
        self.criticalLayout.addWidget(self.criticalMessage)
        self.horizontalLayout_2.addLayout(self.criticalLayout)
        self.gridLayout_4.addWidget(self.criticalFrame, 1, 0, 1, 4)
        self.verticalLayout_3.addWidget(self.groupBox_3)
        spacerItem1 = QtWidgets.QSpacerItem(20, 142, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem1)

        self.retranslateUi(NotificationsPage)
        QtCore.QMetaObject.connectSlotsByName(NotificationsPage)
        NotificationsPage.setTabOrder(self.timeoutSpinBox, self.xSpinBox)
        NotificationsPage.setTabOrder(self.xSpinBox, self.ySpinBox)
        NotificationsPage.setTabOrder(self.ySpinBox, self.visualButton)
        NotificationsPage.setTabOrder(self.visualButton, self.warningFgButton)
        NotificationsPage.setTabOrder(self.warningFgButton, self.warningBgButton)
        NotificationsPage.setTabOrder(self.warningBgButton, self.warningResetButton)
        NotificationsPage.setTabOrder(self.warningResetButton, self.warningDefaultButton)
        NotificationsPage.setTabOrder(self.warningDefaultButton, self.criticalFgButton)
        NotificationsPage.setTabOrder(self.criticalFgButton, self.criticalBgButton)
        NotificationsPage.setTabOrder(self.criticalBgButton, self.criticalResetButton)
        NotificationsPage.setTabOrder(self.criticalResetButton, self.criticalDefaultButton)

    def retranslateUi(self, NotificationsPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("NotificationsPage", "<b>Configure notification settings</b>"))
        self.label.setText(_translate("NotificationsPage", "Auto Close Timeout:"))
        self.timeoutSpinBox.setToolTip(_translate("NotificationsPage", "Enter the timeout for closing the notification"))
        self.timeoutSpinBox.setSuffix(_translate("NotificationsPage", " s"))
        self.groupBox.setTitle(_translate("NotificationsPage", "Position"))
        self.label_2.setText(_translate("NotificationsPage", "X:"))
        self.xSpinBox.setToolTip(_translate("NotificationsPage", "Enter the X-position the notification should be shown at"))
        self.label_3.setText(_translate("NotificationsPage", "Y:"))
        self.ySpinBox.setToolTip(_translate("NotificationsPage", "Enter the Y-position the notification should be shown at"))
        self.visualButton.setToolTip(_translate("NotificationsPage", "Press to select the position visually, release to get it"))
        self.visualButton.setText(_translate("NotificationsPage", "Visual Selection"))
        self.groupBox_2.setTitle(_translate("NotificationsPage", "Warning Notification"))
        self.warningFgButton.setToolTip(_translate("NotificationsPage", "Press to select the foreground color"))
        self.warningFgButton.setText(_translate("NotificationsPage", "Foreground"))
        self.warningBgButton.setToolTip(_translate("NotificationsPage", "Press to select the background color"))
        self.warningBgButton.setText(_translate("NotificationsPage", "Background"))
        self.warningResetButton.setToolTip(_translate("NotificationsPage", "Press to reset the colors to the current values"))
        self.warningResetButton.setText(_translate("NotificationsPage", "Reset"))
        self.warningDefaultButton.setToolTip(_translate("NotificationsPage", "Press to reset the colors to default values"))
        self.warningDefaultButton.setText(_translate("NotificationsPage", "Default"))
        self.warningHeading.setText(_translate("NotificationsPage", "Warning"))
        self.warningMessage.setText(_translate("NotificationsPage", "This is a message to notify about a warning."))
        self.groupBox_3.setTitle(_translate("NotificationsPage", "Critical Notification"))
        self.criticalFgButton.setToolTip(_translate("NotificationsPage", "Press to select the foreground color"))
        self.criticalFgButton.setText(_translate("NotificationsPage", "Foreground"))
        self.criticalBgButton.setToolTip(_translate("NotificationsPage", "Press to select the background color"))
        self.criticalBgButton.setText(_translate("NotificationsPage", "Background"))
        self.criticalResetButton.setToolTip(_translate("NotificationsPage", "Press to reset the colors to the current values"))
        self.criticalResetButton.setText(_translate("NotificationsPage", "Reset"))
        self.criticalDefaultButton.setToolTip(_translate("NotificationsPage", "Press to reset the colors to default values"))
        self.criticalDefaultButton.setText(_translate("NotificationsPage", "Default"))
        self.criticalHeading.setText(_translate("NotificationsPage", "Critical"))
        self.criticalMessage.setText(_translate("NotificationsPage", "This is a message to notify about a critical event."))
